
const fi18n = new VueI18n({
    locale: '',
    fallbackLocale: ['fr', 'en'],
    messages,
})

new Vue({
    data:{
        video: 'https://www.ittec.mx/media/vittec_nosotros_es.mp4',
        vittecIndex: 'https://www.ittec.mx/media/vittec_es.mp4',
    }, 
    i18n,
    langnavi:'',
    langstore:'',
    methods:{

        cambiarIdioma(idioma){
            fi18n.locale = idioma;
        },
        obtenerGeolocalizaion(){
            navlang = navigator.browserLanguage || navigator.language;
            this.langnavi = navlang.substr(-20,2); 
            fi18n.locale = this.langnavi;
        },
        guardarIdioma(idioma){
            this.langstorage = idioma;
            fi18n.locale = this.langstorage; 
            localStorage.setItem("idioma",this.langstorage);
        },
        obtenerIdioma(){
            var langs = localStorage.getItem("idioma");
            if(langs == 'es'){
                fi18n.locale = 'es';                    
            }else if(langs == 'en'){
                fi18n.locale='en';
            }
        }
    },
    created(){

        if(localStorage.getItem("idioma")){
            this.obtenerIdioma();
        }else{
            this.obtenerGeolocalizaion();
        }

    }
}).$mount('#footer-vuejs')

//JS Footer
function updateFooterAsyn() {
    var o = $(window).width();
    screen.width >= 801 || o >= 801
        ? ($("ul li.footer-list-item-conoce").css("display", "block"),
        $("ul li.footer-list-item-construye").css("display", "block"),
        $("ul li.footer-list-contact").css("display", "block"),
        $("ul li.footer-list-item-divisiones").css("display", "block"))
        : ($("ul li.footer-list-item-conoce").css("display", ""), $("ul li.footer-list-item-construye").css("display", ""), $("ul li.footer-list-contact").css("display", ""), $("ul li.footer-list-item-divisiones").css("display", ""));
}
$("#rotar-conoce").on("click", function (o) {
    o.preventDefault(), "giro" == o.currentTarget.className ? $("#rotar-conoce").removeClass("giro") : $("#rotar-conoce").addClass("giro");
}),
    $("#rotar-construye").on("click", function (o) {
        o.preventDefault(), "giro" == o.currentTarget.className ? $("#rotar-construye").removeClass("giro") : $("#rotar-construye").addClass("giro");
    }),
    $("#rotar-divisiones").on("click", function (o) {
        "giro" == o.currentTarget.className ? $("#rotar-divisiones").removeClass("giro") : $("#rotar-divisiones").addClass("giro");
    }),
    $("#rotar-contacto").on("click", function (o) {
        "giro" == o.currentTarget.className ? $("#rotar-contacto").removeClass("giro") : $("#rotar-contacto").addClass("giro");
    }),
    $(".icon-mas-conoce").click(function () {
        $(".footer-list-item-conoce").slideToggle();
    }),
    $(".icon-mas-construye").click(function () {
        $(".footer-list-item-construye").slideToggle();
    }),
    $(".icon-mas-contacto").click(function () {
        $(".footer-list-contact").slideToggle();
    }),
    $(".icon-mas-divisiones").click(function () {
        $(".footer-list-item-divisiones").slideToggle();
    }),
    $("document").ready(function () {
        updateFooterAsyn(),
            $(window).resize(function () {
                updateFooterAsyn();
            });
    });